import request from '@/utils/request'

// 查询
export function list(query) {
  return request({
    url: '/waterQualityStandard/list',
    method: 'get',
    baseURL: "/plan-api",
    params: query
  })
}


// 新增
export function postData(data) {
  return request({
    url: '/waterQualityStandard',
    baseURL: "/plan-api",
    method: 'post',
    data: data
  })
}

// 修改
export function putData(data) {
  return request({
    url: '/waterQualityStandard',
    baseURL: "/plan-api",
    method: 'put',
    data: data
  })
}

// 删除
export function deleteData(standardIds) {
  return request({
    url: '/waterQualityStandard/'+standardIds,
    baseURL: "/plan-api",
    method: 'delete'
  })
}
//树形水质标准
export function treeRegionLevel() {
  return request({
    url: '/waterQualityStandard/treeRegionLevel',
    baseURL: "/plan-api",
    method: 'get',

  })
}
//根据水质标准ID查询
export function getData(id) {
  return request({
    url: '/waterQualityStandard/queryById/'+id,
    baseURL: "/plan-api",
    method: 'get',
  })
}
